NumFacet (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface NumFacet

- All Superinterfaces:
    Annotated, Facet, OpenAttrs, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    TotalDigitsDocument.TotalDigits
  All Known Implementing Classes:
    NumFacetImpl, TotalDigitsDocumentImpl.TotalDigitsImpl

      public interface NumFacet
      extends Facet

  An XML numFacet(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<NumFacet>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Facet

      `addNewValue, getFixed, getValue, isSetFixed, setFixed, setValue, unsetFixed, xgetFixed, xsetFixed`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<NumFacet> Factory

    - #### type

          static final SchemaType type